Loading...
Searching...
No Matches
wayland::server::zwp_locked_pointer_v1_t Class Reference

receive relative pointer motion events More...

`#include <wayland-server-protocol-unstable.hpp>`

Inherits wayland::server::resource_t.

## Public Member Functions

std::function< void()> & | on_destroy ()
| destroy the locked pointer object
std::function< void(double, double)> & | on_set_cursor_position_hint ()
| set the pointer cursor position hint
std::function< void(region_t)> & | on_set_region ()
| set a new lock region
void | locked (bool post=true)
| lock activation event
void | unlocked (bool post=true)
| lock deactivation event
bool | proxy_has_object () const
| Check whether this wrapper actually wraps an object.
void | post_no_memory () const
uint32_t | get_id () const
client_t | get_client () const
unsigned int | get_version () const
std::string | get_class ()

## Static Public Attributes

static constexpr std::uint32_t | locked_since_version = 1
| Minimum protocol version required for the locked function.
static constexpr std::uint32_t | unlocked_since_version = 1
| Minimum protocol version required for the unlocked function.

## Detailed Description

receive relative pointer motion events

The wp_locked_pointer interface represents a locked pointer state.

While the lock of this object is active, the wl_pointer objects of the associated seat will not emit any wl_pointer.motion events.

This object will send the event 'locked' when the lock is activated. Whenever the lock is activated, it is guaranteed that the locked surface will already have received pointer focus and that the pointer will be within the region passed to the request creating this object.

To unlock the pointer, send the destroy request. This will also destroy the wp_locked_pointer object.

If the compositor decides to unlock the pointer the unlocked event is sent. See wp_locked_pointer.unlock for details.

When unlocking, the compositor may warp the cursor position to the set cursor position hint. If it does, it will not result in any relative motion events emitted via wp_relative_pointer.

If the surface the lock was requested on is destroyed and the lock is not yet activated, the wp_locked_pointer object is now defunct and must be destroyed.

Definition at line 2880 of file wayland-server-protocol-unstable.hpp.

## Member Function Documentation

## get_class()

std::string wayland::server::resource_t::get_class | ( |  | ) |

inherited

Retrieve the interface name (class) of a resource object.

Returns
  Interface name of the resource object.

## get_client()

client_t wayland::server::resource_t::get_client | ( |  | ) | const

inherited

Get the associated client

Returns
  the client that owns the resource.

## get_id()

uint32_t wayland::server::resource_t::get_id | ( |  | ) | const

inherited

Get the internal ID of the resource

Returns
  the internal ID of the resource

## get_version()

unsigned int wayland::server::resource_t::get_version | ( |  | ) | const

inherited

Get interface version

Returns
  Interface version this resource has been constructed with.

## locked()

void zwp_locked_pointer_v1_t::locked | ( | bool | post = `true` | ) |

lock activation event

Notification that the pointer lock of the seat's pointer is activated.

Definition at line 5450 of file wayland-server-protocol-unstable.cpp.

## on_destroy()

std::function< void()> & zwp_locked_pointer_v1_t::on_destroy | ( |  | ) |

destroy the locked pointer object

Destroy the locked pointer object. If applicable, the compositor will unlock the pointer.

Definition at line 5432 of file wayland-server-protocol-unstable.cpp.

## on_set_cursor_position_hint()

std::function< void(double, double)> & zwp_locked_pointer_v1_t::on_set_cursor_position_hint | ( |  | ) |

set the pointer cursor position hint

Parameters

  surface_x | surface-local x coordinate
  surface_y | surface-local y coordinate

Set the cursor position hint relative to the top left corner of the surface.

If the client is drawing its own cursor, it should update the position hint to the position of its own cursor. A compositor may use this information to warp the pointer upon unlock in order to avoid pointer jumps.

The cursor position hint is double buffered. The new hint will only take effect when the associated surface gets it pending state applied. See wl_surface.commit for details.

Definition at line 5438 of file wayland-server-protocol-unstable.cpp.

## on_set_region()

std::function< void(region_t)> & zwp_locked_pointer_v1_t::on_set_region | ( |  | ) |

set a new lock region

Parameters

  region | region of surface

Set a new region used to lock the pointer.

The new lock region is double-buffered. The new lock region will only take effect when the associated surface gets its pending state applied. See wl_surface.commit for details.

For details about the lock region, see wp_locked_pointer.

Definition at line 5444 of file wayland-server-protocol-unstable.cpp.

## post_no_memory()

void wayland::server::resource_t::post_no_memory | ( |  | ) | const

inherited

Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

## proxy_has_object()

bool wayland::server::resource_t::proxy_has_object | ( |  | ) | const

inherited

Check whether this wrapper actually wraps an object.

Returns
  true if there is an underlying object, false if this wrapper is empty

## unlocked()

void zwp_locked_pointer_v1_t::unlocked | ( | bool | post = `true` | ) |

lock deactivation event

Notification that the pointer lock of the seat's pointer is no longer active. If this is a oneshot pointer lock (see wp_pointer_constraints.lifetime) this object is now defunct and should be destroyed. If this is a persistent pointer lock (see wp_pointer_constraints.lifetime) this pointer lock may again reactivate in the future.

Definition at line 5455 of file wayland-server-protocol-unstable.cpp.

## Member Data Documentation

## locked_since_version

constexpr std::uint32_t wayland::server::zwp_locked_pointer_v1_t::locked_since_version = 1

static constexpr

Minimum protocol version required for the locked function.

Definition at line 2958 of file wayland-server-protocol-unstable.hpp.

## unlocked_since_version

constexpr std::uint32_t wayland::server::zwp_locked_pointer_v1_t::unlocked_since_version = 1

static constexpr

Minimum protocol version required for the unlocked function.

Definition at line 2974 of file wayland-server-protocol-unstable.hpp.

The documentation for this class was generated from the following files:

- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.hpp
- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.cpp